package net.sf.sql2java.data.node;

import java.util.List;
import java.util.Map;

import net.sf.sql2java.data.Path;

@SuppressWarnings("unchecked")
public interface Nodelet extends Map<String, Map<String, Nodelet>> {
	
	public <T extends Nodelet> T getParent();
	
	public String getName();
	
	public String getType();
	
	public void setParent(Nodelet parent);
	
	public <T extends Nodelet> T get(Path path);
	
	public <T extends Nodelet> List<T> list(Path path);
	
	public void put(Path path, Nodelet node);
	
	public void put(Nodelet node);
	
	public void remove(Path path);
	
	public boolean exists(Path path);
}
