/*
 * FileUtils.java
 *
 * Created on 15 maart 2007, 13:46
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.sf.sql2java.utils;

import java.io.FileInputStream;
import java.io.InputStream;

/**
 *
 * @author annba
 */
public class FileUtils {
    
    public static String convertStreamToString(InputStream stream) throws Exception {
        int x = stream.available();
        
        byte b[] = new byte[x];
        
        stream.read(b);
        
        return new String(b);
    }
    
    public static String convertFileToString(String filename) throws Exception {
        return convertStreamToString(new FileInputStream(filename));
    }
    
    public static String convertClasspathToFilepath(String classpath) {
        classpath = classpath.replaceAll("\\.", "/");
        return classpath.replaceAll("//", "/");
    }
    
    public static String convertFilepathToClasspath(String filepath) {
        filepath = filepath.replaceAll("/", ".");
        
        if (filepath.startsWith("."))
            filepath = filepath.substring(1);
        
        return filepath.replaceAll("\\.\\.", ".");
    }
}
